Fix layout of payment type options
Closed, ResolvedPublic3 Story Points

Description

The layout of the payment type options needs to be adapted.

Acceptance Criteria:
If payment type options are displayed in more than one row,

  • they align horizontally
  • style definitions leave some space between the rows
  • no payment type option is isolated on a single line

Background:
In some cases of wider fonts (e. g. Bitstream Vera Sans, the default type face Firefox uses on Ubuntu), the payment type options do not fit into one row. The style definitions do not take these cases that into account, though. If there is a second row of payment type options it is displayed too close to the first one and the radio buttons are not aligned.

Depending on the number of payment types, different CSS classes w/ flex definitions could be used.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2017, 4:25 PM
kai.nissen updated the task description. (Show Details)Sep 19 2017, 4:26 PM
Pablo-WMDE updated the task description. (Show Details)Sep 20 2017, 2:41 PM
Pablo-WMDE set the point value for this task to 3.
Pablo-WMDE moved this task from Backlog to Sprint ready on the WMDE-Fundraising-Tech board.
gabriel-wmde moved this task from Todo to Doing on the WMDE-Fundraising-Sprint-11 board.
Zoranzoki21 added a subscriber: Zoranzoki21.
gabriel-wmde removed gabriel-wmde as the assignee of this task.Sep 21 2017, 4:53 PM
gabriel-wmde moved this task from Doing to Review on the WMDE-Fundraising-Sprint-11 board.

Great on my machine.

gabriel-wmde closed this task as Resolved.
gabriel-wmde claimed this task.

deployed to prod.